
function gameinput (sender,obj_id,attachedID)
  MiniInterfaceHandler(sender, obj_id);
  sendersProcessing(sender, obj_id, attachedID);
  
  if sender==30 then
    if flags.LockGuestFinish then
      StopEmiter("Standart_15_3");
      speciale_action(2,10)
      setCursor(10,8)
    return;end;
  return;end;
  
  if sender==36 then
    if obj_id==1233 then
    playeffect("pl_mir")
      speciale_action(2,obj.apple_ok_15_14.id,true)
      speciale_action(2,obj.heart_ok_15_14.id,true)
      speciale_action(2,obj.snake_ok_15_14.id,true)
      speciale_action(2,obj.tree_ok_15_14.id,true)
      speciale_action(2,obj.right_up_ok_15_14.id,true)
      speciale_action(2,obj.left_up_ok_15_14.id,true)
      speciale_action(2,obj.right_down_ok_15_14.id,true)
      speciale_action(2,obj.left_down_ok_15_14.id,true)
      speciale_action(2,obj.right_up_15_14.id,true)
      speciale_action(2,obj.left_up_15_14.id,true)
      speciale_action(2,obj.right_down_15_14.id,true)
      speciale_action(2,obj.left_down_15_14.id,true)            
      StartTimer(1234,2)
    return;end;  
    if obj_id==1234 then
      Block_Show_Cur(false)
      CloseSatelite()
    return;end;
  return;end;
  
  if sender==100 then

    if flags.snakein and flags.applein and flags.treein and flags.heartin and not flags.LockGuestFinish then
      flags.LockGuestFinish=true
      StartTimer(1233,2)
      
      Block_Show_Cur(true)
      neighbors.LockGost.lock = true
      neighbors.Guest.lock = false
    return;end;
  return;end;
  
  if sender==16 then
    if obj_id==obj.heart_15_14.id then
      speciale_action(2,obj.heart_15_14.id,true)
      speciale_action(2,obj.heart_ok_15_14.id,true)
    return;end;
    if obj_id==obj.heart_ok_15_14.id then
      Block_Show_Cur(false)
      WaitRender()
    return;end;
    
    if obj_id==obj.apple_15_14.id then
      speciale_action(2,obj.apple_15_14.id,true)
      speciale_action(2,obj.apple_ok_15_14.id,true)
    return;end;
    if obj_id==obj.apple_ok_15_14.id then
      Block_Show_Cur(false)
      WaitRender()
    return;end;

    if obj_id==obj.snake_15_14.id then
      speciale_action(2,obj.snake_15_14.id,true)
      speciale_action(2,obj.snake_ok_15_14.id,true)
    return;end;
    if obj_id==obj.snake_ok_15_14.id then
      Block_Show_Cur(false)
      WaitRender()
    return;end;

    if obj_id==obj.tree_15_14.id then
      speciale_action(2,obj.tree_15_14.id,true)
      speciale_action(2,obj.tree_ok_15_14.id,true)
    return;end;
    if obj_id==obj.tree_ok_15_14.id then
      Block_Show_Cur(false)
      WaitRender()
    return;end;    
  return;end;
  
  
  if sender==1 then
    if obj_id==obj.right_up_15_14.id then
          -- Block_Show_Cur(true)
          -- flags.heartin=true;
          -- speciale_action(2,obj.heart_15_14.id,true)    
          -- setCursor(obj.right_up_15_14.id,3)
      if obj.serdce_18_11~=nil and attachedID==obj.serdce_18_11.id then
          removeFromMouse()
          playeffect("st_kom")
          UnStoreObj(obj.serdce_18_11.id)
          setCursor(obj.right_up_15_14.id,3)
          Block_Show_Cur(true)
          flags.heartin=true;
          speciale_action(2,obj.heart_15_14.id,true)          
      return;end;
      if (obj.serdce_18_11==nil or (obj.serdce_18_11~=nil and attachedID~=obj.serdce_18_11.id) )and attachedID~=-1 then
        CreatePlashechka("10000")
      return;end;  
      if   attachedID==-1 then
        CreatePlashechka("20002")
      return;end;          
    return;end;


    if obj_id==obj.left_up_15_14.id then
          -- Block_Show_Cur(true)
          -- flags.treein=true;
          -- speciale_action(2,obj.tree_15_14.id,true)  
          -- setCursor(obj.left_up_15_14.id,3)
      if obj.derevo_17_15~=nil and attachedID==obj.derevo_17_15.id then
          removeFromMouse()
          UnStoreObj(obj.derevo_17_15.id)    
          setCursor(obj.left_up_15_14.id,3)
          Block_Show_Cur(true)
          flags.treein=true;
          playeffect("st_kom")
          speciale_action(2,obj.tree_15_14.id,true)          
      return;end;
      if (obj.derevo_17_15==nil or (obj.derevo_17_15~=nil and attachedID~=obj.derevo_17_15.id) )and attachedID~=-1 then
        CreatePlashechka("10000")
      return;end;  
      if   attachedID==-1 then
        CreatePlashechka("20002")
      return;end;              
    return;end;

    
    if obj_id==obj.right_down_15_14.id then
          -- Block_Show_Cur(true)
          -- flags.applein=true;
          -- speciale_action(2,obj.apple_15_14.id,true)  
          -- setCursor(obj.right_down_15_14.id,3)
      if obj.yabloko_18_10~=nil and attachedID==obj.yabloko_18_10.id then
          removeFromMouse()
          UnStoreObj(obj.yabloko_18_10.id)
          setCursor(obj.right_down_15_14.id,3)
          Block_Show_Cur(true)
          flags.applein=true;
          playeffect("st_kom")
          speciale_action(2,obj.apple_15_14.id,true)          
      return;end;
      if (obj.yabloko_18_10==nil or (obj.yabloko_18_10~=nil and attachedID~=obj.yabloko_18_10.id) )and attachedID~=-1 then
        CreatePlashechka("10000")
      return;end;  
      if   attachedID==-1 then
        CreatePlashechka("20002")
      return;end;  
      
    return;end;


    if obj_id==obj.left_down_15_14.id then
          -- Block_Show_Cur(true)
          -- flags.snakein=true;
          -- speciale_action(2,obj.snake_15_14.id,true)  
          -- setCursor(obj.left_down_15_14.id,3)
      if obj.zmeya_17_13~=nil and attachedID==obj.zmeya_17_13.id then
          removeFromMouse()
          UnStoreObj(obj.zmeya_17_13.id)
          setCursor(obj.left_down_15_14.id,3)
          Block_Show_Cur(true)
          flags.snakein=true;
          playeffect("st_kom")
          speciale_action(2,obj.snake_15_14.id,true)          
      return;end;
      if (obj.zmeya_17_13==nil or (obj.zmeya_17_13~=nil and attachedID~=obj.zmeya_17_13.id) )and attachedID~=-1 then
        CreatePlashechka("10000")
      return;end;  
      if   attachedID==-1 then
        CreatePlashechka("20002")
      return;end;      
      
    return;end;    
  end
end
